/**
 * This class manages the confirmation pop-up (also called the pre-flight check)
 * that is sometimes shown when a use clicks the start attempt button.
 *
 * This is also responsible for opening the pop-up window, if the quiz requires to be in one.
 *
 * @module    mod_quizgame/quizgame
 * @class     quizgame
 * @copyright 2016 John Okely <john@moodle.com>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define("mod_quizgame/quizgame",["jquery","core/yui","core/notification","core/ajax"],(function($,Y,notification,ajax){var questions,quizgame,stage,player,planet,interval,enemySpeed,context,score=0,particles=[],gameObjects=[],images=["pix/icon.gif","pix/planet.png","pix/ship.png","pix/enemy.png","pix/enemystem.png","pix/enemychoice.png","pix/enemystemselected.png","pix/enemychoiceselected.png","pix/laser.png","pix/enemylaser.png"],imagesLoaded=0,loaded=!1,level=-1,displayRect={x:0,y:0,width:0,height:0},question="",touchDown=!1,mouseDown=!1,currentTeam=[],lastShot=0,currentPointsLeft=0,inFullscreen=!1;function playSound(soundName){if(document.getElementById("mod_quizgame_sound_on").checked){var soundElement=document.getElementById("mod_quizgame_sound_"+soundName);soundElement.currentTime=0,soundElement.play()}}function smallscreen(){inFullscreen=!1,stage.removeAttribute("width"),stage.removeAttribute("height"),stage.removeAttribute("style"),stage.classList.remove("floating-game-canvas"),$("#button_container").removeClass("floating-button-container fixed-bottom"),displayRect.width=stage.clientWidth,displayRect.height=stage.clientHeight,stage.style.width=displayRect.width,stage.style.height=displayRect.height,sizeScreen(stage)}function fschange(){inFullscreen&&smallscreen()}function fullscreen(){var landscape=window.matchMedia("(orientation: landscape)").matches;stage.requestFullscreen?stage.requestFullscreen():stage.msRequestFullscreen?stage.msRequestFullscreen():stage.mozRequestFullScreen&&stage.mozRequestFullScreen(),inFullscreen=!0;var buttonContainer=$("#button_container"),width=window.innerWidth,height=$(window).height();landscape&&width<height&&(height=[width,width=height][0]),height-=buttonContainer.height()+16,displayRect.width=width,displayRect.height=height,stage.style.width=width+"px",stage.style.height=height+"px",stage.classList.add("floating-game-canvas"),buttonContainer.addClass("floating-button-container fixed-bottom"),$("#mod_quizgame_fullscreen_button").blur(),sizeScreen(stage)}function sizeScreen(stage){stage.width=displayRect.width,stage.height=displayRect.height,context.imageSmoothingEnabled=!1}function orientationChange(){inFullscreen?fullscreen():smallscreen()}function menuEvents(){document.onkeydown=null,document.onkeyup=null,document.onmousedown=null,document.onmouseup=null,document.onmousemove=null,document.ontouchstart=null,document.ontouchend=null,document.ontouchmove=null,window.onresize=null,document.onkeydown=menukeydown,document.onmouseup=menumousedown,document.ontouchend=menutouchend,window.onresize=orientationChange}function loadGame(){!function(array){var temporaryValue,randomIndex,currentIndex=array.length;for(;0!==currentIndex;)randomIndex=Math.floor(Math.random()*currentIndex),temporaryValue=array[currentIndex-=1],array[currentIndex]=array[randomIndex],array[randomIndex]=temporaryValue}(questions),loaded?startGame():(images.forEach((function(src){var image=new Image;image.src=src,image.onload=function(){++imagesLoaded>=images.length&&(clearInterval(interval),interval=setInterval((function(){!function(context,displayRect,objects,particles,question){context.clearRect(0,0,displayRect.width,displayRect.height);var i=0;for(i=0;i<particles.length;i++)particles[i].draw(context);for(i=0;i<objects.length;i++)objects[i].draw(context);player.alive?(context.fillStyle="#FFFFFF",context.font="18px Audiowide",context.textAlign="left",context.fillText(M.util.get_string("score","mod_quizgame",{score:Math.round(score),lives:player.lives}),5,displayRect.height-20),context.textAlign="center",wrapText(context,question,!1,20,.9*displayRect.width,displayRect.width/2,20)):(context.fillStyle="#FFFFFF",context.font="18px Audiowide",context.textAlign="center",context.fillText(M.util.get_string("endofgame","mod_quizgame",Math.round(player.lastScore)),displayRect.width/2,displayRect.height/2))}(context,displayRect,gameObjects,particles,question),function(bounds,objects,particles){var i=0;for(i=0;i<3;i++)particles.push(new Star(bounds));for(i=0;i<particles.length;i++)particles[i].update(bounds),particles[i].alive||(particles.splice(i,1),i--);for(i=0;i<objects.length;i++){objects[i].update(bounds);for(var j=i+1;j<objects.length;j++)collide(objects[i],objects[j]);objects[i].alive||(objects.splice(i,1),i--)}}(displayRect,gameObjects,particles)}),40),startGame())}})),loaded=!0)}function startGame(){score=0,gameObjects=[],particles=[],level=-1,enemySpeed=.5,touchDown=!1,mouseDown=!1,ajax.call([{methodname:"mod_quizgame_start_game",args:{quizgameid:quizgame},fail:notification.exception}]),(player=new Player("pix/ship.png",0,0)).x=displayRect.width/2,player.y=displayRect.height/2,gameObjects.push(player),(planet=new Planet("pix/planet.png",0,0)).image.width=displayRect.width,planet.image.height=displayRect.height,planet.direction.y=1,planet.movespeed.y=.7,particles.push(planet),nextLevel(),document.onkeyup=keyup,document.onkeydown=keydown,document.onmouseup=mouseup,document.onmousedown=mousedown,document.onmousemove=mousemove,document.ontouchstart=touchstart,document.ontouchend=touchend,document.ontouchmove=touchmove,window.onresize=orientationChange,document.addEventListener("gesturestart",cancelled,!1),document.addEventListener("gesturechange",cancelled,!1),document.addEventListener("gestureend",cancelled,!1)}function nextLevel(){++level>=questions.length&&(level=0,enemySpeed*=1.3),question=function(questions,level,bounds){if(currentTeam=[],lastShot=0,currentPointsLeft=0,"truefalse"==questions[level].type)questions[level].answers.forEach((function(answer){var enemy=new TFEnemy(Math.random()*bounds.width,-Math.random()*bounds.height/2,answer.text,answer.fraction);currentTeam.push(enemy),gameObjects.push(enemy)})),currentPointsLeft=0;else if("multichoice"==questions[level].type)questions[level].answers.forEach((function(answer){var enemy=new MultiEnemy(Math.random()*bounds.width,-Math.random()*bounds.height/2,answer.text,answer.fraction,questions[level].single);answer.fraction<1&&(currentTeam.push(enemy),answer.fraction>0&&(currentPointsLeft+=parseFloat(answer.fraction))),gameObjects.push(enemy)}));else if("match"==questions[level].type){var i=0,fraction=1/(2*questions[level].stems.length);currentPointsLeft+=1,questions[level].stems.forEach((function(stem){i++;var question=new MatchEnemy(Math.random()*bounds.width,-Math.random()*bounds.height/2,stem.question,fraction,-i,!0),answer=new MatchEnemy(Math.random()*bounds.width,-Math.random()*bounds.height/2,stem.answer,fraction,i);currentTeam.push(question),currentTeam.push(answer),gameObjects.push(question),gameObjects.push(answer)}))}return questions[level].question}(questions,level,displayRect)}function Rectangle(left,top,width,height){this.left=left||0,this.top=top||0,this.width=width||0,this.height=height||0}function GameObject(src,x,y){null!==src&&(this.image=this.loadImage(src)),this.x=x,this.y=y,this.velocity={x:0,y:0},this.direction={x:0,y:0},this.movespeed={x:5,y:3},this.alive=!0,this.decay=.7}function Player(src,x,y){GameObject.call(this,src,x,y),this.mouse={x:0,y:0},this.movespeed={x:6,y:4},this.lives=3,this.lastScore=0}function Planet(src,x,y){GameObject.call(this,src,x,y)}function Enemy(src,x,y,text,fraction){GameObject.call(this,src,x,y),this.xspeed=enemySpeed,this.yspeed=enemySpeed*(2+Math.random())/4,this.movespeed.x=0,this.movespeed.y=0,this.direction.y=1,this.text=text,this.fraction=fraction,this.movementClock=0,this.shotFrequency=80,this.shotClock=(1+Math.random())*this.shotFrequency,this.level=level}function killAllAlive(){currentTeam.forEach((function(enemy){enemy.alive&&(enemy.fraction=0,enemy.die())})),currentTeam=[]}function TFEnemy(x,y,text,fraction){Enemy.call(this,"pix/enemy.png",x,y,text,fraction)}function MultiEnemy(x,y,text,fraction,single){Enemy.call(this,"pix/enemy.png",x,y,text,fraction),this.single=single}function MatchEnemy(x,y,text,fraction,pairid,stem){this.stem=!!stem,this.stem?Enemy.call(this,"pix/enemystem.png",x,y,text,fraction):Enemy.call(this,"pix/enemychoice.png",x,y,text,fraction),this.pairid=pairid,this.shotFrequency=160,this.hightlighted=!1}function Laser(x,y,friendly,laserSpeed){GameObject.call(this,friendly?"pix/laser.png":"pix/enemylaser.png",x,y),this.direction.y=-1,this.friendly=friendly?1:0,this.laserSpeed=laserSpeed||12}function Particle(x,y,velocity,colour){GameObject.call(this,null,x,y),this.width=2,this.height=2,this.velocity.x=velocity.x,this.velocity.y=velocity.y,this.aliveTime=0,this.colour=colour,this.decay=1}function Star(bounds){GameObject.call(this,null,Math.random()*bounds.width,0),this.width=2,this.height=2,this.direction.y=1,this.movespeed.y=.2+Math.random()/2,this.aliveTime=0}function collide(object1,object2){return object1.alive&&object2.alive&&(collideOrdered(object1,object2)||collideOrdered(object2,object1))}function collideOrdered(object1,object2){return object1 instanceof Laser&&object2 instanceof Player&&!object1.friendly&&objectsIntersect(object1,object2)?(object2.gotShot(object1),object1.die(),!0):object1 instanceof Laser&&object2 instanceof Enemy&&object1.friendly&&objectsIntersect(object1,object2)?(object2.gotShot(object1),!0):!!(object1 instanceof Player&&object2 instanceof Enemy&&objectsIntersect(object1,object2))&&(object1.die(),!0)}function objectsIntersect(object1,object2){var rect1=object1.getRect(),rect2=object2.getRect();return rect1.Intersect(rect2)}function spray(x,y,num,colour){for(var i=0;i<num;i++)particles.push(new Particle(x,y,{x:16*(Math.random()-.5),y:16*(Math.random()-.5)+3},colour))}function wrapText(context,input,wrapUpwards,textHeight,maxLineWidth,x,y){var drawLines=[],originalY=y,words=input.split(" "),line="";words.forEach((function(word){var tempLine=line+" "+word;context.measureText(tempLine).width>maxLineWidth?(drawLines.push({text:line,y:y+=textHeight}),line=word):line=tempLine})),drawLines.push({text:line,y:y+=textHeight});var yOffset=y-originalY;drawLines.forEach((function(drawLine){var modifier=wrapUpwards?-yOffset:0;context.fillText(drawLine.text,x,drawLine.y+modifier)}))}function shipReachedEnd(){0===currentTeam.filter((function(enemy){return enemy.alive})).length&&(currentPointsLeft<this.fraction||currentPointsLeft<=0)&&this.level===level&&player.alive&&nextLevel()}$("#mod_quizgame_fullscreen_button").on("click",(function(){inFullscreen?(inFullscreen=!1,smallscreen()):fullscreen()})),Rectangle.prototype.right=function(){return this.left+this.width},Rectangle.prototype.bottom=function(){return this.top+this.height},Rectangle.prototype.Contains=function(point){return point.x>this.left&&point.x<this.right()&&point.y>this.top&&point.y<this.bottom()},Rectangle.prototype.Intersect=function(rectangle){return!(rectangle.left>this.right()||rectangle.right()<this.left||rectangle.top>this.bottom()||rectangle.bottom()<this.top)},GameObject.prototype.loadImage=function(src){return this.image||(this.image=new Image),this.image.src=src,this.image},GameObject.prototype.update=function(){this.velocity.x+=this.direction.x*this.movespeed.x,this.velocity.y+=this.direction.y*this.movespeed.y,this.x+=this.velocity.x,this.y+=this.velocity.y,this.velocity.y*=this.decay,this.velocity.x*=this.decay},GameObject.prototype.draw=function(context){context.drawImage(this.image,this.x,this.y,this.image.width,this.image.height)},GameObject.prototype.getRect=function(){return new Rectangle(this.x,this.y,this.image.width,this.image.height)},GameObject.prototype.die=function(){this.alive=!1},Player.prototype=Object.create(GameObject.prototype),Player.prototype.update=function(bounds){(mouseDown||touchDown)&&(this.x<this.mouse.x-this.image.width?player.direction.x=1:this.x>this.mouse.x?player.direction.x=-1:player.direction.x=0,this.y<this.mouse.y-this.image.height?player.direction.y=1:this.y>this.mouse.y?player.direction.y=-1:player.direction.y=0),GameObject.prototype.update.call(this,bounds),this.x<bounds.x-this.image.width?this.x=bounds.width:this.x>bounds.width&&(this.x=bounds.x-this.image.width),this.y<bounds.y?this.y=bounds.y:this.y>bounds.height-this.image.height&&(this.y=bounds.height-this.image.height)},Player.prototype.Shoot=function(){playSound("laser"),gameObjects.unshift(new Laser(player.x,player.y,!0,24)),canShoot=!1},Player.prototype.die=function(){GameObject.prototype.die.call(this),playSound("explosion"),spray(this.x+this.image.width/2,this.y+this.image.height/2,200,"#FFCC00"),this.lastScore=score,ajax.call([{methodname:"mod_quizgame_update_score",args:{quizgameid:quizgame,score:Math.trunc(score)},fail:notification.exception}]),menuEvents()},Player.prototype.gotShot=function(shot){shot.alive&&(this.lives<=1?this.die():(this.lives--,spray(this.x+this.image.width/2,this.y+this.image.height/2,100,"#FFCC00")))},Planet.prototype=Object.create(GameObject.prototype),Planet.prototype.update=function(bounds){planet.image.width=displayRect.width,planet.image.height=displayRect.height,GameObject.prototype.update.call(this,bounds)},Enemy.prototype=Object.create(GameObject.prototype),Enemy.prototype.update=function(bounds){if(this.y<bounds.height/10||this.y>9*bounds.height/10?(this.movespeed.x=1*this.xspeed,this.movespeed.y=5*this.yspeed):(this.movespeed.x=this.xspeed,this.movespeed.y=this.yspeed),GameObject.prototype.update.call(this,bounds),this.movementClock--,this.movementClock<=0&&(this.direction.x=Math.floor(3*Math.random())-1,this.movementClock=30*(2+Math.random())),this.shotClock-=enemySpeed,this.shotClock<=0&&this.y<.6*bounds.height){playSound("enemylaser");var laser=new Laser(this.x,this.y);laser.direction.y=1,laser.friendly=!1,gameObjects.unshift(laser),this.shotClock=(1+Math.random())*this.shotFrequency}this.x<bounds.x-this.image.width?this.x=bounds.width:this.x>bounds.width&&(this.x=bounds.x-this.image.width),this.y>bounds.height+this.image.height&&this.alive&&(this.alive=!1,this.fraction>0&&(currentPointsLeft-=this.fraction,score-=1e3*this.fraction),shipReachedEnd.call(this))},Enemy.prototype.draw=function(context){GameObject.prototype.draw.call(this,context),context.fillStyle="#FFFFFF",context.font="15px Audiowide",context.textAlign="center",wrapText(context,this.text,!0,17,.2*displayRect.width,this.x+this.image.width/2,this.y-5)},Enemy.prototype.die=function(){GameObject.prototype.die.call(this),spray(this.x+this.image.width,this.y+this.image.height,50+150*this.fraction,"#FF0000"),score+=1e3*this.fraction,playSound("explosion")},Enemy.prototype.gotShot=function(shot){shot.die(),this.die()},TFEnemy.prototype=Object.create(Enemy.prototype),TFEnemy.prototype.die=function(){Enemy.prototype.die.call(this),killAllAlive(),this.fraction>0&&nextLevel()},TFEnemy.prototype.gotShot=function(shot){this.fraction>0?(shot.die(),this.die()):(score+=600*(this.fraction-.5),shot.deflect())},MultiEnemy.prototype=Object.create(Enemy.prototype),MultiEnemy.prototype.die=function(){Enemy.prototype.die.call(this),this.fraction>0&&(currentPointsLeft-=this.fraction),(this.single&&1===this.fraction&&this.fraction>=1||this.fraction>0&&currentPointsLeft<=0)&&(killAllAlive(),nextLevel())},MultiEnemy.prototype.gotShot=function(shot){this.fraction>=1||this.fraction>0&&!this.single?(shot.die(),this.die()):(score+=600*(this.fraction-.5),shot.deflect())},MatchEnemy.prototype=Object.create(Enemy.prototype),MatchEnemy.prototype.die=function(){currentPointsLeft-=this.fraction,this.fraction=0,Enemy.prototype.die.call(this)},MatchEnemy.prototype.gotShot=function(shot){if(shot.alive&&this.alive)if(lastShot==-this.pairid){score+=1e3*this.fraction*2,shot.die(),this.die();var alives=0;currentTeam.forEach((function(match){match.pairid==lastShot&&match.die(),match.alive&&alives++})),alives<=0&&nextLevel()}else lastShot==this.pairid?shot.deflect():(shot.die(),this.hightlight(),lastShot=this.pairid)},MatchEnemy.prototype.hightlight=function(){currentTeam.forEach((function(match){match.unhightlight()})),this.stem?this.loadImage("pix/enemystemselected.png"):this.loadImage("pix/enemychoiceselected.png"),this.hightlighted=!0},MatchEnemy.prototype.unhightlight=function(){this.hightlighted&&(this.stem?this.loadImage("pix/enemystem.png"):this.loadImage("pix/enemychoice.png")),this.hightlighted=!1},Laser.prototype=Object.create(GameObject.prototype),Laser.prototype.update=function(bounds){GameObject.prototype.update.call(this,bounds),(this.x<bounds.x-this.image.width||this.x>bounds.width||this.y<bounds.y-this.image.height||this.y>bounds.height)&&(this.alive=!1),this.velocity.y=this.laserSpeed*this.direction.y},Laser.prototype.deflect=function(){this.image=this.loadImage("pix/enemylaser.png"),this.direction.y*=-1,this.friendly=!this.friendly,playSound("deflect")},Particle.prototype=Object.create(GameObject.prototype),Particle.prototype.update=function(bounds){GameObject.prototype.update.call(this,bounds),(this.x<bounds.x-this.width||this.x>bounds.width||this.y<bounds.y-this.height||this.y>bounds.height)&&(this.alive=!1),this.aliveTime++,this.aliveTime>15*Math.random()+5&&(this.alive=!1)},Particle.prototype.getRect=function(){return new Rectangle(this.x,this.y,this.width,this.height)},Particle.prototype.draw=function(context){context.fillStyle=this.colour,context.fillRect(this.x,this.y,this.width,this.height),context.stroke()},Star.prototype=Object.create(GameObject.prototype),Star.prototype.update=function(bounds){GameObject.prototype.update.call(this,bounds),this.y>bounds.height&&(this.alive=!1)},Star.prototype.draw=function(context){context.fillStyle="#9999AA",context.fillRect(this.x,this.y,this.width,this.height),context.stroke()};var canShoot=!0;function menukeydown(e){-1!==[32,37,38,39,40].indexOf(e.keyCode)&&(e.preventDefault(),32===e.keyCode&&loadGame())}function menumousedown(e){e.target===stage&&loadGame()}function menutouchend(e){e.target===stage&&loadGame()}function keydown(e){-1!==[32,37,38,39,40].indexOf(e.keyCode)&&(e.preventDefault(),32===e.keyCode&&player.alive&&canShoot?player.Shoot():37===e.keyCode?player.direction.x=-1:38===e.keyCode?player.direction.y=-1:39===e.keyCode?player.direction.x=1:40===e.keyCode&&(player.direction.y=1))}function keyup(e){32===e.keyCode?canShoot=!0:-1!==[37,39].indexOf(e.keyCode)?player.direction.x=0:-1!==[38,40].indexOf(e.keyCode)&&(player.direction.y=0)}function mousedown(e){e.target===stage&&(player.getRect().Contains({x:e.offsetX,y:e.offsetY})&&player.alive&&player.Shoot(),mouseDown||(player.mouse.x=e.offsetX,player.mouse.y=e.offsetY,mouseDown=!0))}function mouseup(){player.direction.x=0,player.direction.y=0,mouseDown=!1}function mousemove(e){player.mouse.x=e.offsetX,player.mouse.y=e.offsetY}function cancelled(event){event.target===stage&&event.preventDefault()}function touchstart(e){e.target===stage&&(player.alive&&e.touches.length>1?player.Shoot():(touchDown=!0,touchmove(e)),e.preventDefault())}function touchend(e){0===e.touches.length&&(touchDown=!1),player.direction.x=0,player.direction.y=0,e.target===stage&&e.preventDefault()}function touchmove(e){var rect=e.target.getBoundingClientRect(),x=e.touches[0].pageX-rect.left,y=e.touches[0].clientY-rect.top;window.stage=stage,player.mouse.x=x,player.mouse.y=y,e.target===stage&&e.preventDefault()}return{init:function(q,qid){questions=q,quizgame=qid,document.addEventListener&&(document.addEventListener("fullscreenchange",fschange,!1),document.addEventListener("MSFullscreenChange",fschange,!1),document.addEventListener("mozfullscreenchange",fschange,!1),document.addEventListener("webkitfullscreenchange",fschange,!1)),stage=document.getElementById("mod_quizgame_game"),context=stage.getContext("2d"),smallscreen(),interval=setInterval((function(){context.clearRect(0,0,displayRect.width,displayRect.height),context.fillStyle="#FFFFFF",context.font="18px Audiowide",context.textAlign="center",null!==questions&&questions.length>0?(context.fillText(M.util.get_string("spacetostart","mod_quizgame"),displayRect.width/2,displayRect.height/2),menuEvents()):context.fillText(M.util.get_string("emptyquiz","mod_quizgame"),displayRect.width/2,displayRect.height/2)}),500)}}}));

//# sourceMappingURL=quizgame.min.js.map